OpenVDB 5.1.0

Public Types | Public Member Functions | List of all members
PopulateTree< TreeType > Struct Template Reference

`#include <LevelSetUtil.h>`

## Public Types
using | ValueType = typename TreeType::ValueType
using | LeafNodeType = typename TreeType::LeafNodeType

## Public Member Functions
| PopulateTree (TreeType &tree, LeafNodeType **leafnodes, const size_t *nodexIndexMap, ValueType background)
| PopulateTree (PopulateTree &rhs, tbb::split)
void | operator() (const tbb::blocked_range< size_t > &range)
void | join (PopulateTree &rhs)

## Member Typedef Documentation

## ◆ LeafNodeType

using LeafNodeType = typename TreeType::LeafNodeType

## ◆ ValueType

using ValueType = typename TreeType::ValueType

## Constructor & Destructor Documentation

## ◆ PopulateTree() [1/2]

PopulateTree | ( | TreeType & | tree,
|  | LeafNodeType ** | leafnodes,
|  | const size_t * | nodexIndexMap,
|  | ValueType | background
| ) |  |
| inline

## ◆ PopulateTree() [2/2]

PopulateTree | ( | PopulateTree< TreeType > & | rhs,
|  | tbb::split |
| ) |  |
| inline

## Member Function Documentation

## ◆ join()

void join | ( | PopulateTree< TreeType > & | rhs | ) |
| inline

## ◆ operator()()

void operator() | ( | const tbb::blocked_range< size_t > & | range | ) |
| inline

The documentation for this struct was generated from the following file:

- LevelSetUtil.h